# std::allocator< _Tp > Class Template Reference

The "standard" allocator, as per [20.4]. More...

`#include <stl_alloc.h>`

List of all members.

## Detailed Description

### template<typename _Tp>
class std::allocator< _Tp >

The "standard" allocator, as per [20.4].

The private _Alloc is "SGI" style. (See comments at the top of stl_alloc.h.)

The underlying allocator behaves as follows.

- __default_alloc_template is used via two typedefs
- "__single_client_alloc" typedef does no locking for threads
- "__alloc" typedef is threadsafe via the locks
- __new_alloc is used for memory requests

(See allocators info for more.)

Definition at line 636 of file stl_alloc.h.

The documentation for this class was generated from the following file:

- stl_alloc.h